//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE----------------------------

package org.huihoo.workflow.coreImpl.server;

import org.huihoo.workflow.server.Weightable;
import org.huihoo.workflow.server.WorkflowCase;
import org.huihoo.workflow.usermodel.WorkflowParticipant;
import org.huihoo.workflow.xpdl.WorkflowActivity;

public class WeightableWorkImpl  extends WorkflowWorkImpl implements Weightable
{ 
	protected double weight;
	
	public WeightableWorkImpl()
	{
		super();
	}
	
	public WeightableWorkImpl(
		String uuid,
		String name,
		String description,
		WorkflowCase workflowCase_,
		WorkflowActivity activity_,
		WorkflowParticipant performer_)
	{
		super(uuid,name,description,workflowCase_,activity_,performer_);
	}
	
	public double getWeight()
	{
		return this.weight;
	}
	public void setWeight(double weight)
	{
		this.weight = weight;
	}

}
